webdriver {
  driver = chrome
  use.driver.service.pool = false
}
headless.mode = true

restapi {
  baseurl = "http://localhost:3000"
}

#
# Chrome options can be defined using the chrome.switches property
#
chrome.switches="""--start-maximized;--test-type;--no-sandbox;--ignore-certificate-errors;
                   --disable-popup-blocking;--disable-default-apps;--disable-extensions-file-access-check;
                   --incognito;--disable-infobars,--disable-gpu"""
#
# Define drivers for different platforms. Serenity will automatically pick the correct driver for the current platform
#
drivers {
  windows {
    webdriver.chrome.driver = "webdriver/windows/chromedriver.exe"
    webdriver.gecko.driver = "webdriver/windows/geckodriver.exe"
    webdriver.ie.driver = "webdriver/windows/IEDriverServer.exe"
  }
  mac {
    webdriver.chrome.driver = "webdriver/mac/chromedriver"
    webdriver.gecko.driver = "webdriver/mac/geckodriver"
  }
  linux {
    webdriver.chrome.driver = "webdriver/linux/chromedriver"
    webdriver.gecko.driver = "webdriver/linux/geckodriver"
  }
}

#
# This section defines environment-specific configuration for different environments.
# You can define normal Serenity properties, such as webdriver.base.url, or custom ones
# You can find more details about this feature at https://johnfergusonsmart.com/environment-specific-configuration-in-serenity-bdd/
#

environments {
  default {
    webdriver.base.url = "http://localhost:3001/"
  }
  dev {
    webdriver.base.url = "http://localhost:3001/"
  }
  staging {
    webdriver.base.url = "http://localhost:3001/"
  }
  prod {
    webdriver.base.url = "https://earthnew.media/"
  }
}